package siprp.planoactuacao.print;

import org.jdom.Element;


public class PostoToPrint
	implements PrintableInterface
{
	protected String designacao;
	
	public PostoToPrint( String designacao )
	{
		this.designacao = designacao;
	}

	@Override
	public Element toJdomElement()
		throws Exception
	{
		Element postoElement = new Element( "posto" );
		Element designacaoElement = new Element( "designacao" );
		designacaoElement.setText( designacao );
		postoElement.addContent( designacaoElement );
		return postoElement;
	}

	public String getDesignacao()
	{
		return designacao;
	}

	public void setDesignacao( String designacao )
	{
		this.designacao = designacao;
	}
}
